boards:
  "0451:6165": "am62l3"

soc-models:
  am62l3-firmware:
      tiboot3:
        path: "<path_to_binary>/tiboot3.bin"
      tispl:
        path: "<path_to_binary>/tispl.bin"
      u-boot:
        path: "<path_to_binary>/u-boot.img" 

  am62l3-tasks:
  - eraseblk-size: 0x40000
    fb-buffer-addr: 0x82000000
    fb-buffer-size: 0x7000000
    target-device: nor0
  - task: run
    args:
      - "oem_run:mtd list"
      - "oem_run:setenv mtdids nor0=nor0"
  - task: mtd-parts
    args:
      - name: ospi.tiboot3
        size: 0x80000
      - name: ospi.tispl
        size: 0x200000
      - name: ospi.u-boot
        size: 0x400000
  - task: flash
    args:
      - image: "<path_to_binary>/flash_images/tiboot3.bin"
        part: ospi.tiboot3
      - image: "<path_to_binary>/flash_images/tispl.bin"
        part: ospi.tispl
      - image: "<path_to_binary>/flash_images/u-boot.img"
        part: ospi.u-boot